org.eclipse.emf.cdo.server

## Class CDOServerExporter.Statistics

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerExporter.Statistics

- Enclosing class:
    CDOServerExporter<OUT>

      public static final class CDOServerExporter.Statistics
      extends java.lang.Object

  Since:
    4.8
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `blobs`
    `long` | `branches`
    `long` | `clobs`
    `long` | `commits`
    `long` | `packageInfos`
    `long` | `packageUnits`
    `long` | `revisions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Statistics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump(Handler<java.lang.String> handler)` Deprecated. As of 4.9 use `dumpStrings(Consumer)`.
    `void` | `dumpStrings(java.util.function.Consumer<java.lang.String> consumer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### packageUnits

          public long packageUnits

    - #### packageInfos

          public long packageInfos

    - #### branches

          public long branches

    - #### revisions

          public long revisions

    - #### blobs

          public long blobs

    - #### clobs

          public long clobs

    - #### commits

          public long commits

  - ### Constructor Detail

    - #### Statistics

          public Statistics()

  - ### Method Detail

    - #### dump

          @Deprecated
          public void dump(Handler<java.lang.String> handler)

      Deprecated. As of 4.9 use `dumpStrings(Consumer)`.

    - #### dumpStrings

          public void dumpStrings(java.util.function.Consumer<java.lang.String> consumer)

      Since:
        4.9

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html